// grep.cpp - Buscar cadenas en ficheros
#include <iostream>
#include "cgrep.h"
using namespace std;

int main(int argc, char *argv[])
{
  // main debe recibir tres o más parámetros: la cadena a buscar
  // y los ficheros fuente. Por ejemplo:
  // grep bool cgrep.h cgrep.cpp
  if (argc < 3)
    cout << "Sintaxis: grep " << "<cadena> "
         << "<fichero 1> <fichero 2> ...\n";
  else
  {
    for (int i = 2; i < argc; i++)
      // Buscar argv[1] en argv[i]
      CGrep::BuscarEnFich(argv[i], argv[1]);
  }
}

